from prometheus_rus import CounterFamily, GaugeFamily, SummaryFamily, Registry

registry = Registry()

gf1 = GaugeFamily(name="foobar_g1", help="foo help with bar")
g1 = gf1.create(value=20, labels=dict(server="[host:xy]"))
registry.register(g1)
g1.inc(10)

gf2 = GaugeFamily(name="foobar_g2", help="foo help with bar")
g2 = gf2.create(labels=dict(server="[host:xy]"))
registry.register(g2)


cf = CounterFamily(name="foobar", help="foo help with bar")
c = cf.create(labels=dict(server="[host:xy]"))
registry.register(c)
c.set(1024.12374981723)

sf = SummaryFamily(name="m_sum_foo", help="count on it!")
s = sf.create(labels={"tag": "sum"})
registry.register(s)
s.observe(1, timestamp=None)
s.observe(2, timestamp=None)
s.observe(3)

print(registry.collect())
